import { EventBus } from '../event-bus';
import { RAFTimer } from './raf';
import { Timer } from './timer';
export declare class Scheduler extends EventBus {
    logicPerSecond: number;
    logicTimer: Timer;
    drawTimer: RAFTimer;
    constructor(logicPerSecond: number);
    init(): void;
    start(): void;
    stop(): void;
}
